org.apache.felix.ipojo.annotations

## Enum Context.Source

- java.lang.Object
- - java.lang.Enum<Context.Source>
  - - org.apache.felix.ipojo.annotations.Context.Source

All Implemented Interfaces:
  Serializable, Comparable<Context.Source>

Enclosing class:
  Context

    public static enum Context.Source
    extends Enum<Context.Source>

Lists the different injectable bundle context.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPONENT` The bundle context from the bundle declaring the component.
`INSTANCE` The bundle context from the bundle declaring the instance.

### Method Summary

All Methods Static Methods Concrete Methods
`static Context.Source` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Context.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPONENT

    public static final Context.Source COMPONENT

The bundle context from the bundle declaring the component. Generally, it's the bundle containing the implementation class.

#### INSTANCE

    public static final Context.Source INSTANCE

The bundle context from the bundle declaring the instance.

### Method Detail

#### values

    public static Context.Source[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Context.Source c : Context.Source.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Context.Source valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null